## advene 1.0

=== Makefile ===
name=$(shell basename `pwd`)

doc: FORCE
	PYTHONPATH=$(shell pwd)/lib find lib/advene -name '*.py' | xargs -n 500 epydoc -o doc/html -n Advene --inheritance=grouped

archive:
	tar -C .. --exclude=locale --exclude=lib/simpletal --exclude=lib/cherrypy --exclude=\*.pyc --exclude=build/ --exclude=.git --exclude=.svn --exclude=\*~ -cvzf ../$(name).tgz $(name)

FORCE:

translation:
	cd po; $(MAKE) update

=== po/Makefile ===
all:

MO_DIR = ../locale
PO_DIR = po
DOMAIN = advene

POTFILES: FORCE
	grep -r --include=\*.py -l '\b_(' ../lib > POTFILES
FORCE:

pot: POTFILES
	xgettext -d $(DOMAIN) -o $(DOMAIN).pot -f POTFILES

update-po:
	for po in *.po; do \
		lingua=`basename $$po .po`; \
		mv $$lingua.po $$lingua.old.po; \
		if msgmerge -o $$lingua.po $$lingua.old.po $(DOMAIN).pot; then\
		    rm $$lingua.old.po; \
		else \
		    rm -f $$lingua.po; \
		    mv $$lingua.old.po $$lingua.po; \
		fi \
	done

mo:
	for po in *.po; do\
		lingua=`basename $$po .po`; \
		install -d $(MO_DIR)/$$lingua/LC_MESSAGES/ ; \
		msgfmt -o $(MO_DIR)/$$lingua/LC_MESSAGES/$(DOMAIN).mo $$po ;\
	done

update: POTFILES pot update-po

clean:
	-$(RM) POTFILES

=== pyinstaller/Makefile ===
NAME=advene-bin
VERSION := $(shell ../scripts/version)
FULLNAME=$(NAME)-$(VERSION)
# Note: on cygwin, it can help to use a relative path:
# PYINSTALLER=../../src/pyinstaller
PYINSTALLER=${HOME}/src/pyinstaller
SPECFILE=advene.pyspec
DESTDIR=$(shell pwd)/$(FULLNAME)
PREFIX=/usr
TGZ=$(FULLNAME).tgz

all:
	python $(PYINSTALLER)/Build.py $(SPECFILE)
	$(RM) advene.exe

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/lib
	cp advene-bin $(DESTDIR)$(PREFIX)/bin
	perl -pi -e 's!^DIR=.+!DIR='$(PREFIX)'/lib/advene-package!' $(DESTDIR)$(PREFIX)/bin/advene-bin
	cp -r advene-package $(DESTDIR)$(PREFIX)/lib

tgz:
	tar -C $(DESTDIR) -czf $(TGZ)  usr

rpm:
	cp advene-bin.spec $(DESTDIR)/$(FULLNAME).spec
	perl -pi -e 's!^Buildroot:.+!Buildroot: '$(DESTDIR)'!;' \
	-e 's!^Version:.+!Version: '$(VERSION)'!;' $(DESTDIR)/$(FULLNAME).spec
	cd $(DESTDIR); find usr -printf '/%p\n' >> $(FULLNAME).spec
	cd $(DESTDIR); rpmbuild -bb --target=i386 $(FULLNAME).spec

clean:
	-$(RM) -rf advene-package
	-$(RM) -rf buildadvene
	-$(RM) -rf $(DESTDIR)
	-$(RM) warnadvene.txt
	-$(RM) $(TGZ)

=== debian/changelog ===
advene (1.0-1) unstable; urgency=low

  * Initial release (Closes: #508451)

 -- Olivier Aubert <olivier.aubert@liris.cnrs.fr>  Tue, 20 Dec 2011 17:27:37 +0100

=== debian/control ===
Source: advene
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Build-Depends:
 cdbs (>= 0.4.49),
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6)
Standards-Version: 3.9.2
Section: video
Priority: optional
Vcs-Git: git://git.debian.org/git/pkg-multimedia/advene.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/advene.git
Homepage: http://www.advene.org/
X-Python-Version: >= 2.6

Package: advene
Architecture: all
Depends:
 gstreamer0.10-x,
 python-cairo,
 python-cherrypy3 (>=3.0.0),
 python-gobject,
 python-gst0.10,
 python-gtk2 (>=2.12),
 python-pygoocanvas,
 python-rsvg,
 python-simpletal (>=3.0),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 firefox | www-browser,
 libjs-jquery (>= 1.4.2),
 libjs-jquery-ui (>= 1.8),
 python-aeidon,
 python-imaging,
 python-simplejson,
 python-vlc,
 python-webkit,
 shotdetect,
 vlc-plugin-svg
Description: Annotate DVDs, Exchange on the Net
 The Advene (Annotate DVd, Exchange on the NEt) project is aimed
 towards communities exchanging discourses (analysis, studies) about
 audiovisual documents (e.g. movies) in DVD format. This requires that
 audiovisual content and hypertext facilities be integrated, thanks to
 annotations providing explicit structures on  audiovisual streams, upon
 which hypervideo documents can be engineered.
 .
 The cross-platform Advene application allows users to easily
 create comments and analyses of video documents, through the
 definition of time-aligned annotations and their mobilisation
 into automatically-generated or user-written comment views (HTML
 documents). Annotations can also be used to modify the rendition
 of the audiovisual document, thus providing virtual montage,
 captioning, navigation... capabilities. Users can exchange their
 comments/analyses in the form of Advene packages, independently from
 the video itself.
 .
 The Advene framework provides models and tools allowing to design and reuse
 annotations schemas; annotate video streams according to these schemas;
 generate and create Stream-Time Based (mainly video-centred) or User-Time
 Based (mainly text-centred) visualisations of the annotations. Schemas
 (annotation- and relation-types), annotations and relations, queries and
 views can be clustered and shared in units called packages. Hypervideo
 documents are generated when needed, both from packages (for annotation and
 view description) and DVDs (audiovisual streams).
 .

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = advene

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
DEB_INSTALL_DOCS_ALL := doc/*
DEB_PYTHON_INSTALL_ARGS_ALL += --install-lib=/usr/share/advene

pre-build::
	cd po && $(MAKE) mo

clean::
	$(RM) -r locale

install/advene::
	cd debian/advene/usr && \
		mv bin/advene share/advene/advene.real
	cd debian/advene/usr/bin && ln -s ../share/advene/advene.real advene

=== debian/watch ===
version=3
http://download.gna.org/advene/sources/advene-(.+).tgz

## advene 1.1

=== debian/changelog ===
advene (1.1-1) unstable; urgency=medium

  [ Olivier Aubert ]
  * New upstream release; closes: #752215.
  * Remove python-aeidon dependency; closes: #714201.
  * Replace firefox | www-browser in Depends with a longer list of
    alternative browsers; closes: #674177.

  [ Alessio Treglia ]
  * Add myself to the Uploaders field.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Olivier Aubert <contact@olivieraubert.net>  Mon, 14 Jul 2014 01:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: advene
+Section: video
+Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
+ Olivier Aubert <contact@olivieraubert.net>
 Build-Depends:
  cdbs (>= 0.4.49),
  debhelper (>= 8.0.0),
  python-all (>= 2.6.6)
-Standards-Version: 3.9.2
-Section: video
-Priority: optional
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/advene.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/advene.git
 Homepage: http://www.advene.org/
-X-Python-Version: >= 2.6
 
 Package: advene
 Architecture: all
@@ -28,10 +30,9 @@
  ${misc:Depends},
  ${python:Depends}
 Recommends:
- firefox | www-browser,
+ iceweasel | firefox | www-browser,
  libjs-jquery (>= 1.4.2),
  libjs-jquery-ui (>= 1.8),
- python-aeidon,
  python-imaging,
  python-simplejson,
  python-vlc,
@@ -64,4 +65,3 @@
  views can be clustered and shared in units called packages. Hypervideo
  documents are generated when needed, both from packages (for annotation and
  view description) and DVDs (audiovisual streams).
- .

=== debian/watch ===
version=3
http://www.advene.org/download/src/advene-(.+).tgz
